﻿using Prism.Mvvm;
using SfDataGrid_ComboBoxDemo.Model;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SfDataGrid_ComboBoxDemo
{
    public class OrderInfo : BindableBase
    {
        private int productId;
        private string _productName;
        private double _NoOfOrders;
        private DateTime _orderDate;
        private string countryName;
        private ShippingLocation _selectedShippingLocation;
        private string shipCity;
        private int _shipid;
        private int _rateValue;
        
        public int ProductId
        {
            get
            {
                return productId;
            }
            set
            {
                productId = value;
                this.RaisePropertyChanged("ProductId");
            }
        }

        public string ProductName
        {
            get
            {
                return _productName;
            }
            set
            {
                _productName = value;
                RaisePropertyChanged("ProductName");
            }
        }

        public double NoOfOrders
        {
            get
            {
                return _NoOfOrders;
            }
            set
            {
                _NoOfOrders = value;
                RaisePropertyChanged("NoOfOrders");
            }
        }

        public DateTime OrderDate
        {
            get
            {
                return _orderDate;
            }
            set
            {
                _orderDate = value;
                RaisePropertyChanged("OrderDate");
            }
        }

        public string CountryName
        {
            get
            {
                return countryName;
            }
            set
            {
                countryName = value;
                RaisePropertyChanged("CountryName");
                //CountrySpecificShipping = new ObservableCollection<ShippingLocation>(_allShippingLocations.Where(x => x.Country == value));
            }
        }


        public ShippingLocation SelectedShippingLocation
        {
            get
            {
                return _selectedShippingLocation;
            }
            set
            {
                _selectedShippingLocation = value;
                RaisePropertyChanged();
                //CountrySpecificShipping = new ObservableCollection<ShippingLocation>(_allShippingLocations.Where(x => x.Country == value));
            }
        }

        public string ShipCity
        {
            get
            {
                return shipCity;
            }
            set
            {
                shipCity = value;
                RaisePropertyChanged("ShipCity");                
            }
        }
        public int ShipId
        {
            get
            {
                return _shipid;
            }
            set
            {
                _shipid = value;
                RaisePropertyChanged("ShipId");
            }
        }

        public int RateValue
        {
            get
            {
                return _rateValue;
            }
            set
            {
                _rateValue = value;
                RaisePropertyChanged("RateValue");
            }
        }

        public ObservableCollection<ShippingLocation> _countrySpecificShipping = new ObservableCollection<ShippingLocation>();
        public ObservableCollection<ShippingLocation> CountrySpecificShipping
        {
            get
            {
                return _countrySpecificShipping;
            }
            set
            {
                _countrySpecificShipping = value;
                RaisePropertyChanged("CountrySpecificShipping");
            }
        }

        public OrderInfo()
        {
            
        }
    }
}
